<?xml version="1.0" encoding="UTF-8"?>

<plugin
	name="Symptom Database tool"
	id="org.eclipse.hyades.sdb"
	version="1.2.0"
	provider-name="Eclipse.org"
	class="org.eclipse.hyades.sdb.internal.SDbPlugin">

<requires>
	<import plugin="org.eclipse.core.resources"/>
	<import plugin="org.eclipse.ui"/>
	<import plugin="org.apache.xerces"/>
    <import plugin="org.eclipse.hyades.ui"/>	
    <import plugin="org.eclipse.hyades.models.sdb"/>
    <import plugin="org.eclipse.hyades.analysis.engine"/>
</requires>

<runtime>
	<library name="sdb_ui.jar">
		<export name="*"/>
	  	<packages prefixes="org.eclipse.hyades.sdb"/>   		
	</library>
</runtime>


<!-- ==================================================================== -->
<extension
	point="org.eclipse.ui.importWizards">
	<wizard
		id="org.eclipse.hyades.sdb.internal.wizard.ImportSymptomDBWizard"
		name="%STR_IMPORT_SYMPTOMDB_TITLE"
		class="org.eclipse.hyades.sdb.internal.wizard.ImportSymptomDBWizard"
		icon="./icons/full/ctool16/import_symptomdb_wiz.gif">
		<description>
			%STR_IMPORT_SYMPTOMDB_DESC
		</description>
		<selection class="org.eclipse.core.resources.IResource"/>
	</wizard>
</extension>

<!-- ==================================================================== -->
<extension
	point="org.eclipse.ui.exportWizards">
	<wizard
		id="org.eclipse.hyades.sdb.internal.wizard.ExportSymptomDBWizard"
		name="%STR_EXPORT_SYMPTOM_DB_TITLE"
		class="org.eclipse.hyades.sdb.internal.wizard.ExportSymptomDBWizard"
		icon="./icons/full/ctool16/export_symptomdb_wiz.gif">
		<description>
			%STR_EXPORT_SYMPTOM_DB_DESC
		</description>
		<selection class="org.eclipse.core.resources.IResource"/>
	</wizard>
</extension>

<!-- ==================================================================== -->
<extension point = "org.eclipse.ui.editors">
    <editor
      id = "org.eclipse.hyades.sdb.internal.editors.SymptomDBEditor"
      name = "%STR_SYMPTOM_EDITOR"
      icon = "icons/full/obj16/symptomdb_obj.gif"
      extensions = "trcdbxmi"
      contributorClass="org.eclipse.ui.part.EditorActionBarContributor"      
      class = "org.eclipse.hyades.sdb.internal.editors.SymptomDBEditor">
    </editor>
</extension>

<!-- ==================================================================== -->
<!-- Preferences pages.                                                   -->
<!-- ==================================================================== -->
<extension
	point="org.eclipse.ui.preferencePages">
	<page name="%LOG_ANALYZER_SYMPTOM_DB_PAGE"
		id="org.eclipse.hyades.sdb.internal.preferences.SymptomDBPreferencePage"
		class="org.eclipse.hyades.sdb.internal.preferences.SymptomDBPreferencePage">
	</page>
</extension>

<!--=============================================================-->
<!-- New Symptom Database Wizard -->
<!--=============================================================-->    
   <extension
         point="org.eclipse.ui.newWizards">
		<category
			id = "org.eclipse.hyades.trace_log.newWizard"
			name="%TRACE_LOG_NEWWIZ">
		</category>
         
      <wizard
            id="org.eclipse.hyades.sdb.wizard.new.symptomdb"
            name="%STR_SYPMTOMDB_NEW_WIZARD"
            class="org.eclipse.hyades.sdb.internal.wizard.NewSymptomDBWizard"
            category="org.eclipse.hyades.trace_log.newWizard"
            icon="icons/full/obj16/symptomdb_obj.gif">
         <description>
            %STR_SYPMTOMDB_NEW_WIZARD_DESCRIPTION
         </description>
      </wizard>
   </extension>

</plugin>
